/* NAWG Web - Main Site - Styles for Tabbed Displays */

/* Outer container for a tabbed display */
*.tabbed
{
    /* Common properties */
    & > div
    {
        margin-top: 0;
    }
    & > div > div
    {
        padding: 0.5em;
    }

    /* Container for tabs */
    & > div.tabs
    {
        border-radius: 0;
        padding: 0 0.5em;
        display: flex;

        /* Individual tabs */
        & > div.tab
        {
            margin: 0 0 0 0.5em;
            border-radius: 2vh 2vh 0 0;
            font-size: smaller;
            background-color: #909090;
            user-select: none;
            cursor: pointer;

            /* The currently active tab */
            &.active
            {
                background-color: #c0c0c0;
                /*cursor: not-allowed;*/
            }
        }
    }

    /* Container for panels */
    & > div.panels
    {
        border-radius: 0;
        display: grid;
        grid-template-columns: auto;
        grid-template-rows: 100%;
        overflow: clip;

        /* Individual panels */
        & > div.panel
        {
            margin: 0;
            border-radius: 1vh;
            background-color: #c0c0c0;
            grid-column: 1;
            grid-row: 1;
            z-index: -1;
            overflow: auto;

            /* The currently active panel */
            &.active
            {
                z-index: 1;
            }
        }
    }
}
